[DEFAULT]
tags = devtools
subsuite = devtools
support-files =
  dropmarker.svg
  file_ws_backend_wsh.py
  head.js
  html_cause-test-page.html
  html_content-type-without-cache-test-page.html
  html_brotli-test-page.html
  html_image-tooltip-test-page.html
  html_cors-test-page.html
  html_csp-resend-test-page.html
  html_csp-test-page.html
  html_custom-get-page.html
  html_cyrillic-test-page.html
  html_frame-test-page.html
  html_frame-subdocument.html
  html_filter-test-page.html
  html_infinite-get-page.html
  html_json-b64.html
  html_json-basic.html
  html_json-custom-mime-test-page.html
  html_json-empty.html
  html_json-long-test-page.html
  html_json-malformed-test-page.html
  html_json-text-mime-test-page.html
  html_jsonp-test-page.html
  html_maps-test-page.html
  html_navigate-test-page.html
  html_params-test-page.html
  html_pause-test-page.html
  html_post-data-test-page.html
  html_post-array-data-test-page.html
  html_post-json-test-page.html
  html_post-raw-test-page.html
  html_header-test-page.html
  html_post-raw-with-headers-test-page.html
  html_simple-test-page.html
  html_single-get-page.html
  html_send-beacon.html
  html_sorting-test-page.html
  html_statistics-test-page.html
  html_status-codes-test-page.html
  html_tracking-protection.html
  html_api-calls-test-page.html
  html_copy-as-curl.html
  html_curl-utils.html
  html_open-request-in-tab.html
  html_worker-test-page.html
  html_websocket-test-page.html
  html_ws-early-connection-page.html
  html_ws-test-page.html
  js_worker-test.js
  js_worker-test2.js
  js_websocket-worker-test.js
  sjs_content-type-test-server.sjs
  sjs_cors-test-server.sjs
  sjs_https-redirect-test-server.sjs
  sjs_hsts-test-server.sjs
  sjs_json-test-server.sjs
  sjs_search-test-server.sjs
  sjs_method-test-server.sjs
  sjs_set-cookie-same-site.sjs
  sjs_simple-test-server.sjs
  sjs_simple-unsorted-cookies-test-server.sjs
  sjs_slow-script-server.sjs
  sjs_sorting-test-server.sjs
  sjs_status-codes-test-server.sjs
  sjs_timings-test-server.sjs
  sjs_truncate-test-server.sjs
  test-image.png
  service-workers/status-codes.html
  service-workers/status-codes-service-worker.js
  xhr_bundle.js
  xhr_bundle.js.map
  xhr_original.js
  !/devtools/client/shared/test/frame-script-utils.js
  !/devtools/client/shared/test/shared-head.js
  !/devtools/client/shared/test/telemetry-test-helpers.js

[browser_net_accessibility-01.js]
[browser_net_accessibility-02.js]
[browser_net_api-calls.js]
[browser_net_basic-search.js]
[browser_net_background_update.js]
[browser_net_autoscroll.js]
[browser_net_block.js]
[browser_net_block-csp.js]
[browser_net_block-pattern.js]
[browser_net_cached-status.js]
skip-if = verify
[browser_net_cause_redirect.js]
[browser_net_cause_source_map.js]
[browser_net_service-worker-status.js]
skip-if = (verify && !debug && (os == 'linux'))
[browser_net_charts-01.js]
[browser_net_charts-02.js]
[browser_net_charts-03.js]
[browser_net_charts-04.js]
[browser_net_charts-05.js]
[browser_net_charts-06.js]
[browser_net_charts-07.js]
[browser_net_clear.js]
[browser_net_column_headers_tooltips.js]
[browser_net_column-resize-fit.js]
[browser_net_columns_last_column.js]
[browser_net_columns_pref.js]
[browser_net_columns_reset.js]
[browser_net_columns_showhide.js]
[browser_net_columns_time.js]
[browser_net_complex-params.js]
skip-if = (verify && !debug && (os == 'win'))
[browser_net_content-type.js]
skip-if = !debug && os == 'mac'
[browser_net_brotli.js]
[browser_net_curl-utils.js]
[browser_net_copy_image_as_data_uri.js]
[browser_net_copy_svg_image_as_data_uri.js]
[browser_net_copy_url.js]
[browser_net_propertiesview-copy.js]
[browser_net_copy_params.js]
skip-if = (verify && !debug && (os == 'mac')) # bug 1328915, disable linux32 debug devtools for timeouts
[browser_net_copy_response.js]
[browser_net_copy_headers.js]
[browser_net_cookies_sorted.js]
skip-if = (verify && debug && os == 'win')
[browser_net_copy_as_curl.js]
[browser_net_copy_as_fetch.js]
[browser_net_use_as_fetch.js]
[browser_net_cors_requests.js]
[browser_net_cyrillic-01.js]
[browser_net_cyrillic-02.js]
[browser_net_frame.js]
skip-if = true # Bug 1479782
[browser_net_header-docs.js]
[browser_net_edit_resend_cancel.js]
[browser_net_edit_resend_caret.js]
[browser_net_edit_resend_with_filtering.js]
[browser_net_edit_resend_xhr.js]
[browser_net_filter-01.js]
[browser_net_filter-02.js]
[browser_net_filter-03.js]
[browser_net_filter-04.js]
[browser_net_filter-autocomplete.js]
[browser_net_filter-flags.js]
[browser_net_filter-value-preserved.js]
[browser_net_fission_switch_target.js]
skip-if = verify # Bug 1607678
[browser_net_footer-summary.js]
[browser_net_header-ref-policy.js]
[browser_net_decode-url.js]
[browser_net_decode-params.js]
[browser_net_headers-alignment.js]
[browser_net_headers_filter.js]
[browser_net_headers_sorted.js]
[browser_net_headers-resize.js]
[browser_net_image-tooltip.js]
[browser_net_initiator.js]
[browser_net_json-b64.js]
[browser_net_json-empty.js]
[browser_net_json-null.js]
[browser_net_json-long.js]
[browser_net_json-malformed.js]
[browser_net_json-nogrip.js]
[browser_net_json_custom_mime.js]
[browser_net_json_text_mime.js]
[browser_net_jsonp.js]
[browser_net_large-response.js]
[browser_net_leak_on_tab_close.js]
[browser_net_open_in_debugger.js]
[browser_net_open_in_style_editor.js]
[browser_net_open_request_in_tab.js]
[browser_net_pane-collapse.js]
[browser_net_pane-network-details.js]
[browser_net_pane-toggle.js]
[browser_net_pause.js]
skip-if = (verify && debug && (os == 'win'))
[browser_net_params_sorted.js]
[browser_net_persistent_logs.js]
[browser_net_post-data-01.js]
[browser_net_post-data-02.js]
[browser_net_post-data-03.js]
[browser_net_post-data-04.js]
[browser_net_prefs-and-l10n.js]
[browser_net_prefs-reload.js]
skip-if = os == 'win' # bug 1391264
[browser_net_raw_headers.js]
[browser_net_reload-button.js]
[browser_net_reload-markers.js]
[browser_net_response-ui-limit.js]
[browser_net_req-resp-bodies.js]
[browser_net_resend_cors.js]
[browser_net_resend_csp.js]
[browser_net_resend_headers.js]
[browser_net_resend_hidden_headers.js]
[browser_net_resend_xhr.js]
[browser_net_resend.js]
[browser_net_security-details.js]
[browser_net_security-error.js]
[browser_net_security-icon-click.js]
[browser_net_security-redirect.js]
[browser_net_security-state.js]
[browser_net_security-tab-deselect.js]
[browser_net_security-tab-visibility.js]
[browser_net_security-warnings.js]
[browser_net_send-beacon.js]
[browser_net_send-beacon-other-tab.js]
[browser_net_server_timings.js]
[browser_net_set-cookie-same-site.js]
[browser_net_simple-request-data.js]
[browser_net_simple-request-details.js]
[browser_net_simple-request.js]
[browser_net_sort-01.js]
[browser_net_sort-02.js]
[browser_net_sort-reset.js]
[browser_net_statistics-01.js]
skip-if = true # Bug 1373558
[browser_net_statistics-02.js]
[browser_net_status-bar-transferred-size.js]
[browser_net_status-bar.js]
[browser_net_status-codes.js]
[browser_net_streaming-response.js]
[browser_net_telemetry_edit_resend.js]
[browser_net_telemetry_filters_changed.js]
[browser_net_telemetry_persist_toggle_changed.js]
[browser_net_telemetry_select_ws_frame.js]
[browser_net_telemetry_sidepanel_changed.js]
[browser_net_telemetry_throttle_changed.js]
[browser_net_throttle.js]
[browser_net_timeline_ticks.js]
skip-if = true # TODO: fix the test
[browser_net_timing-division.js]
[browser_net_tracking-resources.js]
[browser_net_truncate-post-data.js]
skip-if = (os == 'win' && os_version == '6.1' && !debug) # Bug 1547150
[browser_net_truncate.js]
[browser_net_view-source-debugger.js]
[browser_net_waterfall-click.js]
[browser_net_websocket_stacks.js]
[browser_net_worker_stacks.js]
[browser_net_ws-basic.js]
[browser_net_ws-clear.js]
[browser_net_ws-connection-closed.js]
[browser_net_ws-early-connection.js]
skip-if = fission
[browser_net_ws-filter-dropdown.js]
[browser_net_ws-filter-regex.js]
[browser_net_ws-limit-payload.js]
[browser_net_ws-limit-frames.js]
[browser_net-ws-filter-freetext.js]
